Subject: Re: gdb and cywin
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 07 Jun 2000 10:21:58 -0400

Norman,

Norman Vine wrote:
> Earnie Boyd writes:
> >Well, I see a problem but I don't know how you managed it.
> >I must ask if you set the SHELL environment variable in say
> >.bashrc or somewhere else?
> 
> Good catch !!
> Hmmm...  I don't know.
> 
> The only place I know of where I set SHELL is in config.sys
> SHELL=C:\WINDOWS\COMMAND.COM C:\ /E:2048 /P
> 
> It is not set in any of
> autoexec.bat
> cygwin.bat
> .bashrc
> .bash_profile

My guess is that your /etc/passwd has \r\n line ends.  Hence, when
bash starts up and reads /etc/passwd, it sets your SHELL variable to
"/bin/bash^M".  If this is your problem, then removing the \r's should
resolve it.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]